{% load static %}
<html>
  <head>
    <title>My Lame Imgur</title>


    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" crossorigin="anonymous" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" rel="stylesheet"/>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" crossorigin="anonymous" integrity="sha384-xBuQ/xzmlsLoJpyjoggmTEz8OWUFM0/RC5BsqQBDX2v5cMvDHcMakNTNrHIW2I5f"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" crossorigin="anonymous" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" crossorigin="anonymous" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"></script>

    {% block extrahead %}
    {% endblock %}

    <link rel="stylesheet" href="{% static 'app/css/app.css' %}">
  </head>
  <body>
    <div class="page-header">
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="/">My Lame Imgur</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
            </li>
          </ul>
          <ul class="navbar-nav ml-auto">
            {% if user.is_authenticated %} <!-- Uvjet gleda jesmo li ulogirani-->
              <li class="nav-item ">       <!-- Ako jesmo-->                          
                <a class="nav-link" href="#">Hi {{ user.username }}! </a> <!-- Ovo nam napise Hi admin ili usernam kad smo ulogirani-->
              </li>
              
              {% if user.is_superuser %}
                <li class="nav-item ">                                
                  <a class="nav-link" href="/admin">Admin dashboard</a> <!-- Ako je superuser, daje link na admin dashboard-->
               </li>
              {% endif %}
              <li class="nav-item ">                                
                <a class="nav-link" href="{% url 'logout'%}">Logout</a> <!-- Daje nam mogucnost za logout, bolje je rutu dinamicki dati({% url 'logout'%}), nego /accounts/logout-->
              </li>                                                     <!-- ovaj nacin je bolji u slucaju da se odlucimo mijenjati imena-->
            {% else %} <!-- Ako nismo ulogirani, onda stavi link na login-->
              <li class="nav-item ">
                <a class="nav-link" href="{% url 'login'%}">Login</a> <!--Link na login, bolje je rutu dinamicki dati({% url 'login'%}), nego /accounts/login -->
              </li>
              <li class="nav-item ">
                <a class="nav-link" href="{% url 'accounts:signup' %}">Signup</a> <!--Link na signup, dodao nakon sto sam kreirao accounts/urls.py i urlpattern za signup tamo -->
              </li>                                                               <!-- morao sam staviti da nam evaluira rutu pomocu django tagova, ne moze obicni path-->
            {% endif %}
          </ul>
        </div>
      </nav>

    </div>
    <div class="content container">
      <div class="row">
        <div class="col-md-12">
          <div class="jumbotron fluid-jumbotron">
            <div class="container">
              <h1 class="display-4">My Lame Imgur</h1>
              <p class="lead">Your one stop place for posting your lamest images!</p>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          {% block content %}
          {% endblock %}
        </div>
      </div>
    </div>
  </body>
</html>
